summaryrefslogtreecommitdiff
path: root/src/third_party/scripts
diff options
context:
space:
mode:
authorLucas de Castro Borges <lucas@gnuabordo.com.br>2025-02-11 15:07:35 -0300
committerLucas de Castro Borges <lucas@gnuabordo.com.br>2025-02-11 15:07:35 -0300
commit4cb8841196d0625dfa3825aa326f071cd27c7b8b (patch)
tree1682a647d4463397c119183369ae6f750d5fdcff /src/third_party/scripts
parentaa03c6362cbaa767638e6eed9b031d86dd2643d1 (diff)
parent8f0827553e09872941945a093b647a4211a9db7f (diff)
Update upstream source from tag 'upstream/6.0.0'master
Update to upstream version '6.0.0' with Debian dir 5604a80ec1c96ca76f25f40d78e6ef855abec322
Diffstat (limited to 'src/third_party/scripts')
-rwxr-xr-xsrc/third_party/scripts/timelib_get_sources.sh29
-rwxr-xr-xsrc/third_party/scripts/zlib_get_sources.sh2
2 files changed, 12 insertions, 19 deletions
diff --git a/src/third_party/scripts/timelib_get_sources.sh b/src/third_party/scripts/timelib_get_sources.sh
index f30acfad1fb..190658783e9 100755
--- a/src/third_party/scripts/timelib_get_sources.sh
+++ b/src/third_party/scripts/timelib_get_sources.sh
@@ -7,9 +7,12 @@ set -o errexit
# timelib does not use any autotools/cmake/config system to it is a simple import.
# This script is designed to run on Linux or Mac OS X
+# Parsers make use of re2c, which needs to be installed and be version 0.15.3
+# *only*. re2c 0.16 introduces an issues with clang which causes any date
+# parser to hang.
#
-VERSION=2022.04
+VERSION=2021.06
NAME=timelib
TARBALL=$VERSION.tar.gz
TARBALL_DIR=$NAME-$VERSION
@@ -19,7 +22,7 @@ else
TEMP_DIR="/tmp"
fi
TEMP_DIR=$(mktemp -d $TEMP_DIR/$NAME.XXXXXX)
-DEST_DIR=`git rev-parse --show-toplevel`/src/third_party/$NAME
+DEST_DIR=`git rev-parse --show-toplevel`/src/third_party/$NAME-$VERSION
# Check prerequisites: re2c, wget
if ! [ -x "$(command -v re2c)" ]; then
@@ -27,27 +30,17 @@ if ! [ -x "$(command -v re2c)" ]; then
exit 1
fi
+RE2C_VERSION=`re2c --version`
+if ! [ "re2c 0.15.3" == "$RE2C_VERSION" ]; then
+ echo 'Error: re2c MUST be version 0.15.3.' >&2
+ exit 1
+fi
+
if ! [ -x "$(command -v wget)" ]; then
echo 'Error: wget is not installed.' >&2
exit 1
fi
-# Derick may not upload a tarball for a release. In that case, better to create a tarball manually.
-# Can create $TARBALL manually using the following commands. For example,
-# $ cd ~
-# $ VERSION=2022.04
-# $ TARBALL=$VERSION.tar.gz
-# $ git clone git@github.com:derickr/timelib.git
-# $ cd timelib
-# Derick made the change to v2022 branch for 2022.04 version
-# $ git checkout v2022
-# .git sub-directory is unnecessary in the tarball
-# $ rm -rf .git
-# $ cd ..
-# tarball directory should be in the directory timelib-$VERSION
-# $ mv timelib timelib-$VERSION
-# $ tar czvf $TARBALL timelib-$VERSION
-# $ mv $TARBALL ~/mongo/src/third_party/scripts
if [ ! -f $TARBALL ]; then
echo "Get tarball"
wget https://github.com/derickr/timelib/archive/$TARBALL
diff --git a/src/third_party/scripts/zlib_get_sources.sh b/src/third_party/scripts/zlib_get_sources.sh
index ab9d16cb008..1a42167f995 100755
--- a/src/third_party/scripts/zlib_get_sources.sh
+++ b/src/third_party/scripts/zlib_get_sources.sh
@@ -8,7 +8,7 @@ set -o errexit
# This script is designed to run on most unix-like OSes
#
-VERSION=1.2.13
+VERSION=1.2.11
NAME=zlib
TARBALL=${NAME}-${VERSION}.tar.gz
TARBALL_DEST_DIR=${NAME}-${VERSION}